# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dancer2.pm) perl(Dancer2/Core/Types.pm) perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Session/Token.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-EditFile
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt1
Summary: Edit a text file from Dancer2
Group: Development/Perl
License: artistic_2
URL: https://github.com/jck000/Dancer2-Plugin-EditFile/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JACKB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin will allow you to retrieve a text file using Dancer2 and display it in an html page.  Also, it will save the edited file to it's location on the server.  

It's designed to be flexible and unobtrusive.  It's behavior is customizable through Dancer's config file.  ration file to activate or deactivate files that may be edited.  Just include it in your Dancer2 script, set the configuration and use it.

NOTES:  

=over 4

It is your responsibility to set security.  So, be careful!!!

There is a sample template in the sample folder.

=back
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.005-alt1
- initial import by package builder

